/*
----------------------------------------
	Export Responsive Prototype v0.2.7
----------------------------------------
	Created by Matt Stow 2011
	http://www.mattstow.com
----------------------------------------
*/

$(document).ready(function(e) {
	var $page = $('.page');
	var queries = new Array($page.length);
	
	for (var i=0; i<queries.length; ++i) {
		queries[i] = new Array(1);
	}
	
	$page.each(function(index) {
		var width = $(this).attr('data-width');		
		$(this).width('100%');
		
		$(this).each(function() {
			var images = $([]);
			var rowWidth = 0;
			var container = $(this);
			
			function nextrow() {			
				var div = $('<div class="row" />')
				container.append(div);
				images.each(function() {
					div.append($(this));
					if (!$(div).attr('style'))
						div.height($(this).height());
				});
				images = $([]);
			}
			
			$('img', this).each(function() {
				rowWidth += $(this).width();
				if (rowWidth > width) {
					nextrow();
					rowWidth = $(this).width();
				}
				images.push(this);
			});
			nextrow();	
		});
		
		$('img', this).each(function() {
			if ($(this).attr('class') == undefined) {
				var imageWidth = (($(this).width()/width)*100) + '%';
				$(this).removeAttr('width').width(imageWidth);
			}
			else if ($(this).hasClass('center'))
				$(this).css('margin-left', -($(this).width()/2));
		});
		
		queries[index][0] = width;
		queries[index][1] = $(this).attr('id');
	});
	
	queries.sort(function(a,b){return a[0] - b[0]})
	var css = '';
	
	for (i=0; i<queries.length; ++i) {
		if (queries.length > 1) {
			css += '@media ';
			if (i == queries.length-1)
				css += '(min-width: ' + (parseInt(queries[i-1][0])+1) + 'px) {';
			else {
				if (i > 0)
					css += '(min-width: ' + (parseInt(queries[i-1][0])+1) + 'px) and ';
				css += '(max-width: ' + queries[i][0] + 'px) {';
			}
			}
		css += 'body {max-width: ' + queries[i][0] + 'px;}';
		css += '#' + queries[i][1] + '{display: block;}';
		if (queries.length > 1)
			css += '}';
	}
	
	css = '<style>' + css + '</style>';
	css = $(css);
	css.appendTo('head');
});